Name:          dnfdaemon
Version:       0.3.22
Release:       4mamba
Summary:       DBus daemon for doing package action with the dnf package manager
Group:         System/Management
Vendor:        openmamba
Distribution:  openmamba
Packager:      Silvan Calarco <silvan.calarco@mambasoft.it>
URL:           https://github.com/manatools/dnfdaemon/
Source:        https://github.com/manatools/dnfdaemon.git/%{version}/dnfdaemon-%{version}.tar.bz2
License:       GPL
## AUTOBUILDREQ-BEGIN
BuildRequires: libpython311-devel
## AUTOBUILDREQ-END
Requires:      libdnf >= 0.72.0-2mamba

%description
dnf-daemon is a 2 DBus services there make part for dnf's API available for application via DBus calls.
There is a DBus session bus service running as current user for performing readonly actions.
There is a DBus system bus service running as root for performing actions there is making changes to the system
This makes it easy to do packaging action from your application no matter what language it is written in, as long as there is DBus binding for it.
dnf-daemon uses PolicyKit for authentication for the system service, so when you call one of the commands (as normal users) you will get a
PolicyKit dialog to ask for password of a privileged user like root.

#% debug_package

%prep
%setup -q
#sed -i "s|%{__python3}$|%{__python3}|" daemon/*.py

%build
%make PYTHON3=%{__python3}

%install
[ "%{buildroot}" != / ] && rm -rf "%{buildroot}"
%makeinstall PYTHON3=%{__python3}

%clean
[ "%{buildroot}" != / ] && rm -rf "%{buildroot}"

%preun
%systemd_preun dnfdaemon
:

%post
%systemd_post dnfdaemon
:

%postun
%systemd_postun_with_restart dnfdaemon
:

%files
%defattr(-,root,root)
%{_sysconfdir}/dbus-1/system.d/org.baseurl.DnfSystem.conf
%{_unitdir}/dnfdaemon.service
%{_datadir}/dbus-1/services/org.baseurl.DnfSession.service
%{_datadir}/dbus-1/system-services/org.baseurl.DnfSystem.service
%dir %{_datadir}/dnfdaemon
%{_datadir}/dnfdaemon/dnfdaemon-session
%{_datadir}/dnfdaemon/dnfdaemon-system
%{_datadir}/polkit-1/actions/org.baseurl.DnfSystem.policy
%dir %{python3_sitelib}/dnfdaemon
%{python3_sitelib}/dnfdaemon/*
%doc COPYING

%changelog
* Thu Jan 11 2024 Silvan Calarco <silvan.calarco@mambasoft.it> 0.3.22-4mamba
- rebuilt with python3 == 3.11

* Thu Mar 23 2023 Silvan Calarco <silvan.calarco@mambasoft.it> 0.3.22-3mamba
- require libdnf >= 0.70.0-2mamba (build with python 3.10)

* Wed Mar 22 2023 Silvan Calarco <silvan.calarco@mambasoft.it> 0.3.22-2mamba
- rebuilt with python 3.10

* Sat Nov 12 2022 Silvan Calarco <silvan.calarco@mambasoft.it> 0.3.22-1mamba
- package created using the webbuild interface
